<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>gtkglextmm: gdkmm/gl/version.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.4 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="namespaces.html">Namespace List</a> | <a class="qindex" href="hierarchy.html">Class&nbsp;Hierarchy</a> | <a class="qindex" href="classes.html">Alphabetical&nbsp;List</a> | <a class="qindex" href="annotated.html">Class&nbsp;List</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="namespacemembers.html">Namespace&nbsp;Members</a> | <a class="qindex" href="functions.html">Class&nbsp;Members</a> | <a class="qindex" href="globals.html">File&nbsp;Members</a> | <a class="qindex" href="examples.html">Examples</a></div>
<div class="nav">
<a class="el" href="dir_000000.html">gdkmm</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_000001.html">gl</a></div>
<h1>version.h</h1><a href="gdkglext_2gdkmm_2gl_2version_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">// -*- C++ -*-</span>
<a name="l00002"></a>00002 <span class="comment">/* gdkglextmm - C++ Wrapper for GdkGLExt</span>
<a name="l00003"></a>00003 <span class="comment"> * Copyright (C) 2002-2003  Naofumi Yasufuku</span>
<a name="l00004"></a>00004 <span class="comment"> *</span>
<a name="l00005"></a>00005 <span class="comment"> * This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment"> * modify it under the terms of the GNU Lesser General Public</span>
<a name="l00007"></a>00007 <span class="comment"> * License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment"> * version 2.1 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"> *</span>
<a name="l00010"></a>00010 <span class="comment"> * This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment"> * but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment"> * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment"> * Lesser General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * You should have received a copy of the GNU Lesser General Public</span>
<a name="l00016"></a>00016 <span class="comment"> * License along with this library; if not, write to the Free Software</span>
<a name="l00017"></a>00017 <span class="comment"> * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA.</span>
<a name="l00018"></a>00018 <span class="comment"> */</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef _GDKMM_GL_VERSION_H</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define _GDKMM_GL_VERSION_H</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;<a class="code" href="gdkglext_2gdkmm_2gl_2defs_8h.html">gdkmm/gl/defs.h</a>&gt;</span>
<a name="l00024"></a>00024 
<a name="l00025"></a>00025 <span class="comment">/*</span>
<a name="l00026"></a>00026 <span class="comment"> * Compile time version.</span>
<a name="l00027"></a>00027 <span class="comment"> */</span>
<a name="l00028"></a><a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a0">00028</a> <span class="preprocessor">#define GDKGLEXTMM_MAJOR_VERSION (1)</span>
<a name="l00029"></a><a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a1">00029</a> <span class="preprocessor"></span><span class="preprocessor">#define GDKGLEXTMM_MINOR_VERSION (2)</span>
<a name="l00030"></a><a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a2">00030</a> <span class="preprocessor"></span><span class="preprocessor">#define GDKGLEXTMM_MICRO_VERSION (0)</span>
<a name="l00031"></a><a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a3">00031</a> <span class="preprocessor"></span><span class="preprocessor">#define GDKGLEXTMM_INTERFACE_AGE (0)</span>
<a name="l00032"></a><a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a4">00032</a> <span class="preprocessor"></span><span class="preprocessor">#define GDKGLEXTMM_BINARY_AGE    (0)</span>
<a name="l00033"></a>00033 <span class="preprocessor"></span>
<a name="l00034"></a>00034 <span class="comment">/*</span>
<a name="l00035"></a>00035 <span class="comment"> * Check whether a gdkglextmm version equal to or greater than</span>
<a name="l00036"></a>00036 <span class="comment"> * major.minor.micro is present.</span>
<a name="l00037"></a>00037 <span class="comment"> */</span>
<a name="l00038"></a><a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a5">00038</a> <span class="preprocessor">#define GDKGLEXTMM_CHECK_VERSION(major, minor, micro)                            \</span>
<a name="l00039"></a>00039 <span class="preprocessor">  (GDKGLEXTMM_MAJOR_VERSION &gt; (major) ||                                         \</span>
<a name="l00040"></a>00040 <span class="preprocessor">  (GDKGLEXTMM_MAJOR_VERSION == (major) &amp;&amp; GDKGLEXTMM_MINOR_VERSION &gt; (minor)) || \</span>
<a name="l00041"></a>00041 <span class="preprocessor">  (GDKGLEXTMM_MAJOR_VERSION == (major) &amp;&amp; GDKGLEXTMM_MINOR_VERSION == (minor) &amp;&amp; \</span>
<a name="l00042"></a>00042 <span class="preprocessor">   GDKGLEXTMM_MICRO_VERSION &gt;= (micro)))</span>
<a name="l00043"></a>00043 <span class="preprocessor"></span>
<a name="l00044"></a>00044 <span class="comment">/*</span>
<a name="l00045"></a>00045 <span class="comment"> * Library version.</span>
<a name="l00046"></a>00046 <span class="comment"> */</span>
<a name="l00047"></a>00047 
<a name="l00048"></a><a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a6">00048</a> <a class="code" href="gdkglext_2gdkmm_2gl_2defs_8h.html#a0">GDKMM_GL_VAR</a> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a6">gdkglextmm_major_version</a>;
<a name="l00049"></a><a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a7">00049</a> <a class="code" href="gdkglext_2gdkmm_2gl_2defs_8h.html#a0">GDKMM_GL_VAR</a> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a7">gdkglextmm_minor_version</a>;
<a name="l00050"></a><a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a8">00050</a> <a class="code" href="gdkglext_2gdkmm_2gl_2defs_8h.html#a0">GDKMM_GL_VAR</a> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a8">gdkglextmm_micro_version</a>;
<a name="l00051"></a><a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a9">00051</a> <a class="code" href="gdkglext_2gdkmm_2gl_2defs_8h.html#a0">GDKMM_GL_VAR</a> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a9">gdkglextmm_interface_age</a>;
<a name="l00052"></a><a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a10">00052</a> <a class="code" href="gdkglext_2gdkmm_2gl_2defs_8h.html#a0">GDKMM_GL_VAR</a> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="gdkglext_2gdkmm_2gl_2version_8h.html#a10">gdkglextmm_binary_age</a>;
<a name="l00053"></a>00053 
<a name="l00054"></a>00054 <span class="preprocessor">#endif // _GDKMM_GL_VERSION_H</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Mon Feb 27 18:46:53 2006 for gtkglextmm by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.4 </small></address>
</body>
</html>
